﻿using SfAccordionUWPSample.Utilities;
using Syncfusion.UI.Xaml.Controls.Layout;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace SfAccordionUWPSample
{
    public sealed partial class MyHeader : UserControl
    {
        public MyHeader()
        {
            this.InitializeComponent();
        }

        public int SubCategory
        {
            get { return (int)GetValue(SubCategoryProperty); }
            set { SetValue(SubCategoryProperty, value); }
        }

        // Using a DependencyProperty as the backing store for SubCategory.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty SubCategoryProperty =
            DependencyProperty.Register("SubCategory", typeof(string), typeof(MyHeader), new PropertyMetadata(null));

        private void LockButton_Tapped(object sender, TappedRoutedEventArgs e)
        {
            System.Diagnostics.Debug.WriteLine("Lock button tapped!");
        }

        private void LockButton_Click(object sender, RoutedEventArgs e)
        {
            System.Diagnostics.Debug.WriteLine("Lock button clicked!  Switching lock button to unlock button");
            LockButton.Content = "Unlock must stay active!!!";

            VTMgr mgr = new VTMgr();
            SfAccordionItem accordItem =  (SfAccordionItem) mgr.FindParentByType(sender as Button, "Syncfusion.UI.Xaml.Controls.Layout.SfAccordionItem");
            AccordionButton accordButton = (AccordionButton) mgr.FindParentByType(sender as Button, "Syncfusion.UI.Xaml.Controls.Layout.AccordionButton");

            // this is wrong because it locks the unlock button
            accordItem.IsEnabled = false;

            // What can I do here to disable the expand ability but keep the header active????


        }


    }
}
