﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Media;

namespace SfAccordionUWPSample.Utilities
{
    class VTMgr
    {
        public FrameworkElement FindParentByType(FrameworkElement startObject, string typeAsString)
        {
            if (startObject != null)
            {
                //System.Diagnostics.Debug.WriteLine("startObject type = " + startObject.GetType());
                if (startObject.GetType().ToString().Equals(typeAsString))
                    return startObject;
                else
                {
                    if (startObject.Parent != null)
                        return FindParentByType(startObject.Parent as FrameworkElement, typeAsString);
                    else
                    {
                        DependencyObject visualParent = VisualTreeHelper.GetParent(startObject);
                        if (visualParent != null && visualParent is FrameworkElement)
                        {
                            var elem = visualParent as FrameworkElement;
                            return FindParentByType(elem, typeAsString);
                        }
                    }
                }
            } 
           
            return null;
        }


        public FrameworkElement FindChildByType(DependencyObject startObject, string typeAsString)
        {
            int count = VisualTreeHelper.GetChildrenCount(startObject);
            for (int i = 0; i < count; i++)
            {
                DependencyObject current = VisualTreeHelper.GetChild(startObject, i);
                System.Diagnostics.Debug.WriteLine("current type = " + current.GetType());
                if ((current.GetType().ToString()).Equals(typeAsString))
                {
                    return current as FrameworkElement;
                }
                FindChildByType(current, typeAsString);
            }

            return null;
        }

    }
}
